Index: TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/adapters/InternalViewAdapterFactory.java
===================================================================
--- TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/adapters/InternalViewAdapterFactory.java	(revision 3627)
+++ TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/adapters/InternalViewAdapterFactory.java	(revision 3628)
@@ -19,15 +19,15 @@
 			"platform:/plugin/" + FrameworkUtil.getBundle(InternalViewAdapterFactory.class).getSymbolicName() + "/icons/application_form_magnify.png"); //$NON-NLS-1$ //$NON-NLS-2$
 	
 	@Override
-	public Object getAdapter(Object adaptableObject, Class adapterType) {
+	public <T> T getAdapter(Object adaptableObject, Class<T> adapterType) {
 		if (this.canAdapt(adapterType) && adaptableObject instanceof InternalView) {
-			return new TXMResultAdapter() {
+			return adapterType.cast(new TXMResultAdapter() {
 				
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
 					return ICON;
 				}
-			};
+			});
 		}
 		return null;
 	}
Index: TXM/trunk/org.txm.internalview.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.internalview.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.internalview.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -10,7 +10,7 @@
  reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.internalview.rcp
 

Index: TXM/trunk/org.txm.texts.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.texts.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.texts.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,8 +4,8 @@
 Bundle-SymbolicName: org.txm.texts.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Automatic-Module-Name: org.txm.texts.rcp
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Require-Bundle: org.txm.rcp;bundle-version="0.8.2",
+Bundle-RequiredExecutionEnvironment: JavaSE-16
+Require-Bundle: org.txm.rcp;bundle-version="0.8.3",
  org.txm.texts.core;bundle-version="1.0.0",
  org.txm.edition.rcp;bundle-version="1.0.0"
 Export-Package: org.txm.texts.rcp
Index: TXM/trunk/org.txm.texts.rcp/src/org/txm/texts/rcp/TextsViewEditor.java
===================================================================
--- TXM/trunk/org.txm.texts.rcp/src/org/txm/texts/rcp/TextsViewEditor.java	(revision 3627)
+++ TXM/trunk/org.txm.texts.rcp/src/org/txm/texts/rcp/TextsViewEditor.java	(revision 3628)
@@ -1,9 +1,7 @@
 package org.txm.texts.rcp;
 
 import java.util.ArrayList;
-import java.util.LinkedHashMap;
 import java.util.List;
-import java.util.Map;
 
 import org.eclipse.jface.viewers.ColumnLabelProvider;
 import org.eclipse.jface.viewers.DoubleClickEvent;
@@ -75,7 +73,7 @@
 		gdata.minimumWidth = 300;
 		negativeFiltersText.setLayoutData(gdata);
 		
-		viewer = new TableViewer(this.getResultArea(), SWT.VIRTUAL);
+		viewer = new TableViewer(this.getResultArea(), SWT.MULTI|SWT.VIRTUAL);
 		viewer.getTable().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
 		viewer.getTable().setHeaderVisible(true);
 		viewer.getTable().setLinesVisible(true);
@@ -135,7 +133,7 @@
 			}
 			
 		});
-		
+
 	}
 
 	@Override
@@ -149,8 +147,7 @@
 		TextsView tv = getResult();
 		int currentDisplayedColumns = viewer.getTable().getColumns().length;
 		int numberOfColumnsToDisplay = (tv.getColumns().size() + 3);
-		if ( currentDisplayedColumns == 0 || 
-				currentDisplayedColumns != numberOfColumnsToDisplay) {
+		if ( currentDisplayedColumns == 0 || currentDisplayedColumns != numberOfColumnsToDisplay) {
 			
 			if (viewer.getTable().getColumns().length > 0) { // get rid of current columns
 				for (TableColumn column : viewer.getTable().getColumns()) {
@@ -221,6 +218,28 @@
 				nColumn++;
 			}
 			
+			TableLinesViewerComparator viewerComparator = new TableLinesViewerComparator(Toolbox.getCollator(this.getResult())) {
+				@Override
+				public int compare(Viewer viewer, Object e1, Object e2) {
+					
+					Text t1 = (Text) e1;
+					Text t2 = (Text) e2;
+					if (lastColumnIndex == 0) {
+						return super.compare(viewer, t1.getName(), t2.getName());
+					} else if (lastColumnIndex == 1) {
+						return super.compare(viewer, t1.getEditions().size(), t2.getEditions().size());
+					} else if (lastColumnIndex == 2) {
+						return 0;
+					} else { // get the Text info to compare
+						return super.compare(viewer, 
+								getResult().getLines().get(t1.getName()).get(lastColumnIndex - 3), 
+								getResult().getLines().get(t2.getName()).get(lastColumnIndex - 3));
+					}
+				}
+			};
+			viewer.setComparator(viewerComparator);
+			viewerComparator.addSelectionAdapters(viewer);
+			
 		}
 		//
 		ArrayList<Text> texts = new ArrayList<>();

Index: TXM/trunk/org.txm.rcp.product/plugin_customization.ini
===================================================================
--- TXM/trunk/org.txm.rcp.product/plugin_customization.ini	(revision 3627)
+++ TXM/trunk/org.txm.rcp.product/plugin_customization.ini	(revision 3628)
@@ -1 +1 @@
-org.eclipse.ui/SHOW_PROGRESS_ON_STARTUP = true
+org.eclipse.ui/SHOW_PROGRESS_ON_STARTUP = false
Index: TXM/trunk/org.txm.referencer.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.referencer.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.referencer.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -11,7 +11,7 @@
  xport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.referencer.rcp
 

Index: TXM/trunk/org.txm.libs.javafx.linux/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.javafx.linux/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.javafx.linux/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,7 +4,7 @@
 Bundle-SymbolicName: org.txm.libs.javafx.linux
 Bundle-Version: 1.0.0.qualifier
 Automatic-Module-Name: org.txm.libs.javafx.linux
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-ClassPath: jfxswt.jar,
  jfxrt.jar
 Export-Package: com.sun.deploy.uitoolkit.impl.fx,

Index: TXM/trunk/org.txm.chartsengine.svgbatik.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.chartsengine.svgbatik.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.svgbatik.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -7,7 +7,7 @@
 Require-Bundle: org.txm.chartsengine.rcp;bundle-version="1.0.0";visibi
  lity:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.chartsengine.svgbatik.rcp
 

Index: TXM/trunk/org.txm.ruby.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.ruby.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.ruby.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -5,8 +5,8 @@
 Bundle-Version: 1.0.0.qualifier
 Bundle-Vendor: textometrie.org
 Automatic-Module-Name: org.txm.ruby.core
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Require-Bundle: org.txm.core;bundle-version="0.8.2";visibility:=reexport
+Bundle-RequiredExecutionEnvironment: JavaSE-16
+Require-Bundle: org.txm.core;bundle-version="0.8.3";visibility:=reexport
 Bundle-ClassPath: lib/jruby-complete-9.2.11.1.jar,
  .
 Export-Package: org.txm.ruby.core

Index: TXM/trunk/org.txm.libs.cqp.linux/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.cqp.linux/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.cqp.linux/META-INF/MANIFEST.MF	(revision 3628)
@@ -3,9 +3,12 @@
 Bundle-Name: CQP.linux
 Bundle-Version: 1.1.0.qualifier
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Eclipse-PlatformFilter: (osgi.os=linux)
 Bundle-Vendor: Textometrie.org
 Fragment-Host: org.txm.libs.cqp
 Automatic-Module-Name: org.txm.libs.cqp.linux
+Eclipse-BundleShape: dir
+Bundle-ClassPath: res/linux64/,
+ .
 

Index: TXM/trunk/org.txm.ahc.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.ahc.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.ahc.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -11,6 +11,6 @@
  lity:=reexport,org.txm.ahc.core;bundle-version="1.0.0";visibility:=re
  export,org.txm.ca.rcp;visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 
Index: TXM/trunk/org.txm.ahc.rcp/src/org/txm/ahc/rcp/adapters/AHCAdapterFactory.java
===================================================================
--- TXM/trunk/org.txm.ahc.rcp/src/org/txm/ahc/rcp/adapters/AHCAdapterFactory.java	(revision 3627)
+++ TXM/trunk/org.txm.ahc.rcp/src/org/txm/ahc/rcp/adapters/AHCAdapterFactory.java	(revision 3628)
@@ -2,7 +2,6 @@
 package org.txm.ahc.rcp.adapters;
 
 import org.eclipse.jface.resource.ImageDescriptor;
-import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.osgi.framework.FrameworkUtil;
 import org.txm.ahc.core.functions.AHC;

Index: TXM/trunk/org.txm.queryindex.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.queryindex.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.queryindex.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -13,13 +13,13 @@
  ;visibility:=reexport,org.txm.lexicaltable.rcp;bundle-version="1.0.0"
  ;visibility:=reexport,org.txm.index.core;bundle-version="1.0.0";visib
  ility:=reexport,org.txm.index.rcp;bundle-version="1.0.0";visibility:=
- reexport,org.txm.rcp;bundle-version="0.8.0";visibility:=reexport,org.
+ reexport,org.txm.rcp;bundle-version="0.8.3";visibility:=reexport,org.
  txm.lexicaltable.core;visibility:=reexport,org.txm.statsengine.r.core
  ;visibility:=reexport,org.txm.statsengine.r.rcp;visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
 Bundle-Activator: queryindexrcp.Activator
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.queryindex.rcp
 
Index: TXM/trunk/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java
===================================================================
--- TXM/trunk/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java	(revision 3627)
+++ TXM/trunk/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java	(revision 3628)
@@ -17,7 +17,6 @@
 import java.util.Map;
 
 import org.eclipse.core.runtime.IAdaptable;
-import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.jface.resource.ImageDescriptor;
 import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.txm.core.messages.TXMCoreMessages;

Index: TXM/trunk/org.txm.treetagger.core/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- TXM/trunk/org.txm.treetagger.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3627)
+++ TXM/trunk/org.txm.treetagger.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3628)
@@ -1,3 +1,2 @@
 eclipse.preferences.version=1
-groovy.compiler.level=30
-groovy.script.filters=**/*.dsld,y,**/*.gradle,n
+groovy.compiler.level=40
Index: TXM/trunk/org.txm.treetagger.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.treetagger.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.treetagger.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -8,7 +8,7 @@
 Require-Bundle: org.txm.annotation.core;visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.treetagger.core
 

Index: TXM/trunk/org.txm.searchengine.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.searchengine.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.searchengine.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -8,7 +8,7 @@
  rt
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.searchengine.core
 

Index: TXM/trunk/org.txm.properties.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.properties.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.properties.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -8,7 +8,7 @@
 Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0";v
  isibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.properties.core
 
Index: TXM/trunk/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java
===================================================================
--- TXM/trunk/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 3627)
+++ TXM/trunk/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 3628)
@@ -40,10 +40,10 @@
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
-import org.txm.objects.Partition;
 import org.txm.properties.core.messages.PropertiesCoreMessages;
 import org.txm.properties.core.preferences.PropertiesPreferences;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
+import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.utils.AsciiUtils;
 import org.txm.utils.TXMProgressMonitor;
 import org.txm.utils.io.IOUtils;
@@ -95,6 +95,8 @@
 		
 		if (this.parent instanceof CQPCorpus) {
 			computer = new CorpusPropertiesComputer(this, (CQPCorpus) this.parent);
+		} else if (this.parent instanceof Partition) {
+			computer = new PartitionPropertiesComputer(this, (Partition) this.parent);
 		}
 		else {
 			computer = new PropertiesComputer<TXMResult>(this, this.parent) {

Index: TXM/trunk/org.txm.tmp.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.tmp.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.tmp.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,7 +4,7 @@
 Bundle-Version: 1.0.0.qualifier
 Require-Bundle: org.eclipse.ui;visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.tmp.rcp
 

Index: TXM/trunk/org.txm.practically.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.practically.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.practically.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -15,6 +15,6 @@
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
 Bundle-Activator: practicallymacro.editormacros.Activator
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Automatic-Module-Name: org.txm.practically.rcp
 

Index: TXM/trunk/org.txm.treetaggerinstaller.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.treetaggerinstaller.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.treetaggerinstaller.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,7 +4,7 @@
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: TreeTaggerInstaller
 Bundle-ClassPath: TreeTagger/,.
-Require-Bundle: org.txm.rcp;bundle-version="0.8.0";visibility:=reexpor
+Require-Bundle: org.txm.rcp;bundle-version="0.8.3";visibility:=reexpor
  t,org.txm.core;bundle-version="0.7.0";visibility:=reexport,org.txm.tr
  eetagger.core;bundle-version="1.0.0";visibility:=reexport,org.eclipse
  .osgi;visibility:=reexport,org.eclipse.core.runtime;bundle-version="3
@@ -12,7 +12,7 @@
  visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.treetaggerinstaller.rcp
 

Index: TXM/trunk/org.txm.cooccurrence.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.cooccurrence.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.cooccurrence.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -10,7 +10,7 @@
  reexport,org.txm.cooccurrence.core;bundle-version="1.0.0";visibility:
  =reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.cooccurrence.rcp
 
Index: TXM/trunk/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- TXM/trunk/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 3627)
+++ TXM/trunk/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 3628)
@@ -29,6 +29,7 @@
 
 import java.lang.reflect.InvocationTargetException;
 import java.util.ArrayList;
+import java.util.HashSet;
 import java.util.List;
 
 import org.eclipse.core.runtime.IProgressMonitor;
@@ -36,6 +37,7 @@
 import org.eclipse.jface.viewers.ColumnViewerToolTipSupport;
 import org.eclipse.jface.viewers.ISelectionChangedListener;
 import org.eclipse.jface.viewers.SelectionChangedEvent;
+import org.eclipse.jface.viewers.StructuredSelection;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
@@ -61,6 +63,7 @@
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.PlatformUI;
 import org.txm.cooccurrence.core.functions.Cooccurrence;
+import org.txm.cooccurrence.core.functions.Cooccurrence.CLine;
 import org.txm.cooccurrence.core.functions.comparators.CLineComparator;
 import org.txm.cooccurrence.core.functions.comparators.DistComparator;
 import org.txm.cooccurrence.core.functions.comparators.FreqComparator;
@@ -73,6 +76,7 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
+import org.txm.index.core.functions.Line;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.rcp.editors.TableKeyListener;
@@ -103,7 +107,6 @@
 	/** The cooc. */
 	Cooccurrence cooc;
 	
-	
 	/** The empant panel. */
 	EmpantWidget empantPanel;
 	
@@ -590,9 +593,16 @@
 	 * Sort.
 	 */
 	public void sort() {
+		
 		if (cooc != null && !cooc.isDirty() && currentComparator != null) {
 			
 			try {
+				List<CLine> sel = viewer.getStructuredSelection().toList();
+				HashSet<String> lineNames = new HashSet<String>();
+				for (CLine l : sel) {
+					lineNames.add(l.occ);
+				}
+				
 				Log.fine(NLS.bind(CooccurrenceUIMessages.sortByColonP0, currentComparator.getName()));
 				
 				PlatformUI.getWorkbench().getProgressService().busyCursorWhile(new IRunnableWithProgress() {
@@ -608,13 +618,27 @@
 						}
 					}
 				});
+				
+				TXMEditor.refreshColumns(this.viewer);
+				
+				viewer.getTable().deselectAll();
+				if (lineNames.size() > 0) {
+					List<CLine> newLines = (List<CLine>) viewer.getInput();
+					for (int i = 0 ; i < newLines.size() ; i++) {
+						
+						if (lineNames.remove(newLines.get(i).occ)) {
+							viewer.getTable().select(i);
+						}
+					}
+					// FIXME setSelection dont work, is it because the table is virtual ?
+					//viewer.setSelection(new StructuredSelection(new ArrayList()));
+					
+				}
 			}
 			catch (Exception e) {
 				Log.severe(TXMCoreMessages.error_errorWhileSortingResult);
 				org.txm.utils.logger.Log.printStackTrace(e);
 			}
-			TXMEditor.refreshColumns(this.viewer);
-			//TXMEditor.packColumns(this.viewer);
 		}
 	}
 	
Index: TXM/trunk/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/adapters/CooccurrenceAdapterFactory.java
===================================================================
--- TXM/trunk/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/adapters/CooccurrenceAdapterFactory.java	(revision 3627)
+++ TXM/trunk/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/adapters/CooccurrenceAdapterFactory.java	(revision 3628)
@@ -2,7 +2,6 @@
 package org.txm.cooccurrence.rcp.adapters;
 
 import org.eclipse.jface.resource.ImageDescriptor;
-import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.osgi.framework.FrameworkUtil;
 import org.txm.cooccurrence.core.functions.Cooccurrence;

Index: TXM/trunk/org.txm.index.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.index.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.index.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -10,7 +10,7 @@
  ;visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.index.core
 

Index: TXM/trunk/org.txm.libs.rserve/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.rserve/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.rserve/META-INF/MANIFEST.MF	(revision 3628)
@@ -3,10 +3,10 @@
 Export-Package: org.rosuda.REngine,org.rosuda.REngine.Rserve,org.rosud
  a.REngine.Rserve.protocol
 Bundle-Name: Rserve
-Bundle-Version: 1.4
+Bundle-Version: 1.4.0
 Bundle-ClassPath: .,lib/REngine.jar,lib/RserveEngine.jar
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: https://rforge.net/Rserve/index.html
 Automatic-Module-Name: org.txm.libs.rserve
 

Index: TXM/trunk/org.txm.treetagger.core.models/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.treetagger.core.models/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.treetagger.core.models/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,6 +4,6 @@
 Bundle-SymbolicName: org.txm.treetagger.core.models
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.treetagger.core
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.treetagger.core.models

Index: TXM/trunk/org.txm.libs.jfreesvg/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.jfreesvg/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.jfreesvg/META-INF/MANIFEST.MF	(revision 3628)
@@ -3,10 +3,10 @@
 Export-Package: org.jfree.graphics2d,org.jfree.graphics2d.canvas,org.j
  free.graphics2d.svg
 Bundle-Name: JFreeSVG
-Bundle-Version: 1.7
+Bundle-Version: 1.7.0
 Bundle-ClassPath: .,lib/jfreesvg-1.7.jar
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: www.jfree.org
 Automatic-Module-Name: org.txm.libs.jfreesvg
 

Index: TXM/trunk/org.txm.libs.jfreechart/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.jfreechart/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.jfreechart/META-INF/MANIFEST.MF	(revision 3628)
@@ -43,7 +43,7 @@
  org.jfree.data.time.ohlc,
  org.jfree.data.xml,
  org.jfree.data.xy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: www.jfree.org
 Bundle-ClassPath: .,
  lib/jfreechart-1.5.0.jar

Index: TXM/trunk/org.txm.libs.javafx/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.javafx/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.javafx/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,7 +4,7 @@
 Bundle-SymbolicName: org.txm.libs.javafx
 Bundle-Version: 1.0.0.qualifier
 Automatic-Module-Name: org.txm.libs.javafx
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-ClassPath: jfxswt.jar
 Export-Package: com.sun.deploy.uitoolkit.impl.fx,
  com.sun.deploy.uitoolkit.impl.fx.ui,

Index: TXM/trunk/org.txm.treesearch.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.treesearch.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.treesearch.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,8 +4,8 @@
 Bundle-SymbolicName: org.txm.treesearch.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Automatic-Module-Name: org.txm.treesearch.rcp
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Require-Bundle: org.txm.rcp;bundle-version="0.8.2";visibility:=reexport,
+Bundle-RequiredExecutionEnvironment: JavaSE-16
+Require-Bundle: org.txm.rcp;bundle-version="0.8.3";visibility:=reexport,
  org.txm.treesearch.core;visibility:=reexport,
  org.txm.edition.rcp;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.treesearch.command,

Index: TXM/trunk/org.txm.imports.metopes/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.imports.metopes/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.imports.metopes/META-INF/MANIFEST.MF	(revision 3628)
@@ -1,14 +1,11 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
-Bundle-Name: Metopes
-Bundle-SymbolicName: org.txm.imports.metopes;singleton:=true
+Bundle-Name: org.txm.imports.metopes.core
+Bundle-SymbolicName: org.txm.imports.metopes.core;singleton:=true
 Bundle-Version: 1.0.1.qualifier
 Bundle-Activator: org.txm.imports.metopes.Activator
-Require-Bundle: org.txm.core;bundle-version="0.7.0",
- org.txm.rcp;bundle-version="0.8.0",
- org.eclipse.ui,
- org.eclipse.core.runtime
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Require-Bundle: org.txm.core;bundle-version="0.7.0"
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.importer.metopes,
  org.txm.importer.metopes.preferences,
Index: TXM/trunk/org.txm.imports.metopes/.project
===================================================================
--- TXM/trunk/org.txm.imports.metopes/.project	(revision 3627)
+++ TXM/trunk/org.txm.imports.metopes/.project	(revision 3628)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <projectDescription>
-	<name>org.txm.imports.metopes</name>
+	<name>org.txm.imports.metopes.core</name>
 	<comment></comment>
 	<projects>
 	</projects>

Index: TXM/trunk/org.txm.treetagger.core.macosx/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.treetagger.core.macosx/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.treetagger.core.macosx/META-INF/MANIFEST.MF	(revision 3628)
@@ -5,5 +5,5 @@
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.treetagger.core
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Automatic-Module-Name: org.txm.treetagger.core.macosx

Index: TXM/trunk/org.txm.libs.deptreeviz/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.deptreeviz/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.deptreeviz/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,7 +4,7 @@
 Bundle-SymbolicName: org.txm.libs.deptreeviz
 Bundle-Version: 0.3.0.qualifier
 Automatic-Module-Name: org.txm.libs.deptreeviz
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-ClassPath: .,
  deptreeviz-0.3.0.jar,
  dom4j-1.6.1.jar,

Index: TXM/trunk/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -15,7 +15,7 @@
  lity:=reexport,org.txm.chartsengine.jfreechart.core;bundle-version="1
  .0.0";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.chartsengine.jfreechart.rcp
 
Index: TXM/trunk/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/themes/highcharts/swing/CustomChartPanel.java
===================================================================
--- TXM/trunk/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/themes/highcharts/swing/CustomChartPanel.java	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/themes/highcharts/swing/CustomChartPanel.java	(revision 3628)
@@ -89,7 +89,7 @@
 		this.setInitialDelay(500);
 		
 		// FIXME MD: for #3082 disable tooltips in Ubuntu -> tooltips make the SWT interface flick/blink
-		this.setDisplayToolTips(!OSDetector.isFamilyUnix());
+		this.setDisplayToolTips(true);
 		
 		// Disable the Swing original pop up menu
 		this.setPopupMenu(null);

Index: TXM/trunk/org.txm.libs.cqp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.cqp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.cqp/META-INF/MANIFEST.MF	(revision 3628)
@@ -6,7 +6,7 @@
 Require-Bundle: org.txm.utils.core;bundle-version="1.0.0";visibility:=
  reexport,org.txm.core;visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.libs.cqp
